@incollection{Shannon,
	author = {Shannon, C. E.},
	title = {A mathematical theory of communication},
	pages = {379-423},
	year = {1948},
	vol = {vol. 27},
	publisher = {Bell System Technical Journal}
}


@Book{neural-networks,
author = {Rojas, R.},
title = {Neural Networks},
publisher = {Springer-Verlag},
year = {1996}
}

@Article{perceptron,
author = {Bastien L.},
title = {Perceptron – Tout savoir sur le plus vieil algorithme de Machine Learning},
journal = {Le-Big-Data},
year = {2019}
}


@article{Deep-learning-CS,
url = {https://stanford.edu/~shervine/teaching/cs-229/cheatsheet-deep-learning},
journal = {Université de Stanford},
year = {2018},
title = {Deep Learning cheatsheet},
author = {Afshine Amidi et Shervine Amidi}
}


@misc{convolution,
author = {Plotke, Michael},
title = {Kernel(image-processing)},
url = {https://en.wikipedia.org/wiki/Kernel_(image_processing)},
year = {2019},
note= "Accessed 28/05/2019"
}


@misc{video-convolution, 
author = {Serrano, Luis},
title = {A friendly introduction to Convolutional Neural Networks and Image Recognition},
url = {https://www.youtube.com/watch?v=2-Ol7ZB0MmU},
year = {2017}
}


@misc{transfer-learning,
author = {Migdal, Piotr AND Miziuła, Patryk},
title = {Keras vs. PyTorch: Alien vs. Predator recognition with transfer learning },
url = https://deepsense.ai/keras-vs-pytorch-avp-transfer-learning/,
year = {Octobre 2018},
note= "Accessed 15/03/2019"
}


@article{WordEmbedding,
url = {https://www.aclweb.org/anthology/N13-1090},
issn = {},
abstract = {Continuous space language models have recently demonstrated outstanding results across a variety of tasks. In this paper, we examine the vector-space word representations that are implicitly learned by the input-layer weights. We find that these representations are surprisingly good at capturing syntactic and semantic regularities in language, and that each relationship is characterized by a relation-specific vector offset. This allows vector-oriented reasoning based on the offsets between words. For example, the male/female relationship is automatically learned, and with the induced vector representations, “King - Man + Woman” results in a vector very close to “Queen.” We demonstrate that the word vectors capture syntactic regularities by means of syntactic analogy questions (provided with this paper), and are able to correctly answer almost 40\% of the questions. We demonstrate that the word vectors capture semantic regularities by using the vector offset method to answer SemEval-2012 Task 2 questions. Remarkably, this method outperforms the best previous systems.},
journal = {Microsoft Research},
volume = {},
number = {},
year = {2013},
title = {Linguistic Regularities in Continuous Space Word Representations},
language = {eng},
author = {Jégou, Hervé AND Guillemot, Christine},
keywords = {Computer Science/Information Theory ; Informatique/Théorie De L'Information ; Mathematics/Information Theory ; Mathématiques/Théorie De L'Information Et Codage ; Source Coding ; Joint Source/Channel Codes ; Finite State Machines ; Variable Length Codes ; Transducers ; Entropy Codes ; Data Compression ; Data Communication},
author = {Tomas Mikolov and Wen-tau Yih and Geoffrey Zweig},
keywords = {}
}


@article{GRU,
url = {https://arxiv.org/pdf/1406.1078v3.pdf},
issn = {},
abstract = {In this paper, we propose a novel neural network model called RNN Encoder–Decoder that consists of two recurrent neural networks (RNN). One RNN encodes a sequence of symbols into a fixedlength vector representation, and the other decodes the representation into another sequence of symbols. The encoder and decoder of the proposed model are jointly trained to maximize the conditional probability of a target sequence given a source sequence. The performance of a statistical machine translation system is empirically found to improve by using the conditional probabilities of phrase pairs computed by the RNN Encoder–Decoder as an additional feature in the existing log-linear model. Qualitatively, we show that the proposed model learns a semantically and syntactically meaningful representation of linguistic phrases.},
journal = {},
volume = {},
number = {},
year = {2014},
title = {Learning Phrase Representations using RNN Encoder–Decoder for Statistical Machine Translation},
language = {eng},
author = {Cho, Kyunghyun AND van Merrienboer, Bart AND Gulcehre, Caglar AND Bahdanau, Dzmitry AND Bougares, Fethi AND Schwenk, Holger AND Bengio, Yoshua},
keywords = {}
}


@article{LipReadingWild,
url = {https://arxiv.org/pdf/1611.05358.pdf},
issn = {},
abstract = {The goal of this work is to recognise phrases and sen-tences being spoken by a talking face, with or without theaudio.  Unlike previous works that have focussed on recog-nising a limited number of words or phrases, we tackle lipreading as anopen-worldproblem – unconstrained naturallanguage sentences, and in the wild videos.Our key contributions are:  (1) a ‘Watch, Listen, Attendand Spell’ (WLAS) network that learns to transcribe videosof mouth motion to characters;  (2) a curriculum learningstrategy to accelerate training and to reduce overfitting; (3)a ‘Lip Reading Sentences’ (LRS) dataset for visual speechrecognition,  consisting  of  over  100,000  natural  sentencesfrom British television.The WLAS model trained on the LRS dataset surpassesthe performance of all previous work on standard lip read-ing benchmark datasets, often by a significant margin. Thislip reading performance beats a professional lip reader onvideos from BBC television, and we also demonstrate thatvisual information helps to improve speech recognition per-formance even when the audio is available.},
journal = {},
volume = {},
number = {},
year = {2016},
title = {Lip Reading Sentences in the Wild},
language = {eng},
author = {Chung, Joon Son AND Senior, Andrew AND Vinyals, Oriol AND Zisserman, Andrew},
keywords = {computer vision, pattern recognition}
}


@article{DeepLearningLipReading,
url = {https://arxiv.org/ftp/arxiv/papers/1802/1802.05521.pdf},
issn = {},
abstract = {Human lip-reading is a challenging task. It requires notonly   knowledge   of   underlying   language   but   also   visualclues to predict spoken words. Experts need certain levelof   experience   and   understanding   of   visual   expressionslearning   to   decode   spoken   words.   Now-a-days,   with   thehelp   of   deep   learning   it   is   possible   to   translate   lipsequences into meaningful words. The speech recognitionin the noisy environments can be increased with the visualinformation   [1].   To  demonstrate   this,   in   this   project,   wehave tried to train two different deep-learning models forlip-reading:   first   one   for   video   sequences   using   spatio-temporal convolution neural network, Bi-gated  recurrentneural network and Connectionist Temporal ClassificationLoss, and second for audio that inputs the MFCC featuresto a layer of LSTM cells and output the sequence. We havealso   collected   a   small   audio-visual   dataset   to   train   andtest our model. Our target is to integrate our both modelsto   improve   the   speech   recognition   in   the   noisyenvironment.},
journal = {},
volume = {},
number = {},
year = {2018},
title = {Deep Learning for Lip Reading using Audio-Visual Information forUrdu Language},
language = {eng},
author = {Faisal, M AND Manzoor, Sanaullah},
keywords = {computer vision, pattern recognition}
}


@misc{VideoCapsules,
author = {Géron, Aurélien},
title = {Capsule Networks (CapsNets) – Tutorial},
url = {https://www.youtube.com/watch?v=pPN8d0E3900},
year = {2017}
}


@article{ArticleCapsules,
url = {https://arxiv.org/pdf/1710.09829.pdf},
issn = {},
abstract = {A capsule is a group of neurons whose activity vector represents the instantiationparameters of a specific type of entity such as an object or an object part. We usethe length of the activity vector to represent the probability that the entity exists andits orientation to represent the instantiation parameters. Active capsules at one levelmake predictions, via transformation matrices, for the instantiation parameters ofhigher-level capsules.  When multiple predictions agree, a higher level capsulebecomes active.  We show that a discrimininatively trained, multi-layer capsulesystem achieves state-of-the-art performance on MNIST and is considerably betterthan a convolutional net at recognizing highly overlapping digits. To achieve theseresults we use an iterative routing-by-agreement mechanism: A lower-level capsuleprefers to send its output to higher level capsules whose activity vectors have a bigscalar product with the prediction coming from the lower-level capsule.},
journal = {},
volume = {},
number = {},
year = {2017},
title = {Dynamic Routing Between Capsules},
language = {eng},
author = {Sabour, Sara AND Frosst, Nicholas AND E Hinton, Geoffrey},
keywords = {computer vision, pattern recognition}
}


@misc{VideoAttention,
author = {Bilan, Ivan},
title = {Ivan Bilan: Understanding and Applying Self-Attention for NLP | PyData Berlin 2018},
url = {https://www.youtube.com/watch?v=OYygPG4d9H0},
year = {2018}
}


@article{ArticleAttention,
url = {https://arxiv.org/pdf/1710.09829.pdf},
issn = {},
abstract = {The dominant sequence transduction models are based on complex recurrent orconvolutional neural networks that include an encoder and a decoder.  The bestperforming models also connect the encoder and decoder through an attentionmechanism.  We propose a new simple network architecture, the Transformer,based solely on attention mechanisms, dispensing with recurrence and convolutionsentirely.  Experiments on two machine translation tasks show these models tobe superior in quality while being more parallelizable and requiring significantlyless time to train.  Our model achieves 28.4 BLEU on the WMT 2014 English-to-German translation task, improving over the existing best results, includingensembles, by over 2 BLEU. On the WMT 2014 English-to-French translation task,our model establishes a new single-model state-of-the-art BLEU score of 41.8 aftertraining for 3.5 days on eight GPUs, a small fraction of the training costs of thebest models from the literature. We show that the Transformer generalizes well toother tasks by applying it successfully to English constituency parsing both withlarge and limited training data.},
journal = {},
volume = {},
number = {},
year = {2017},
title = {Attention Is All You Need},
language = {eng},
author = {Vaswani, Ashish AND Shazeern Noam AND Parmar, Niki AND Uszkoreit, Jakob AND Jones, Llion AND N. Gomez, Aidan AND Kaiser, Lukasz AND Polosukhin, Illia},
keywords = {computation, language}
}


@misc{DataPhonemes,
author = {Cooke, Martin AND Barker, Jon AND Cunningham, Stuart AND Shao, Xu},
year = {2007},
title = {The GRID audiovisual sentence corpus},
url = {http://spandh.dcs.shef.ac.uk/gridcorpus/},
language = {eng}
}


@article{OpenAiTransformer,
url = {https://openai.com/blog/better-language-models/}, 
issn = {},
abstract = {Natural language processing tasks, such as ques-tion answering, machine translation, reading com-prehension,  and  summarization,  are  typicallyapproached  with  supervised  learning  on  task-specific datasets. We demonstrate that languagemodels begin to learn these tasks without any ex-plicit supervision when trained on a new datasetof millions of webpages called WebText. Whenconditioned on a document plus questions, the an-swers generated by the language model reach 55F1 on the CoQA dataset - matching or exceedingthe performance of 3 out of 4 baseline systemswithout  using  the  127,000+  training  examples.The capacity of the language model is essentialto the success of zero-shot task transfer and increasing it improves performance in a log-linearfashion across tasks. Our largest model, GPT-2,is a 1.5B parameter Transformer that achievesstate of the art results on 7 out of 8 tested lan-guage modeling datasets in a zero-shot settingbut still underfits WebText.   Samples from themodel reflect these improvements and contain co-herent paragraphs of text. These findings suggesta promising path towards building language pro-cessing systems which learn to perform tasks fromtheir naturally occurring demonstrations.},
journal = {},
volume = {},
year = {2019},
title = {Language Models are Unsupervised Multitask Learners},
language = {eng},
author = {Radford, Alec AND Wu, Jeffrey AND Child, Rewon AND Luan, David AND Amodei, Dario AND Sutskever, Iliya},
keywords = {}
}


@article{LSTM_plus_attention,
url = {https://arxiv.org/pdf/1409.0473.pdf},
issn = {},
abstract = {Neural machine translation is a recently proposed approach to machine translation.   Unlike  the  traditional  statistical  machine  translation,  the  neural  machinetranslation aims at building a single neural network that can be jointly tuned tomaximize the translation performance.   The models proposed recently for neu-ral machine translation often belong to a family of encoder–decoders and encodea  source  sentence  into  a  fixed-length  vector  from  which  a  decoder  generates  atranslation.  In this paper, we conjecture that the use of a fixed-length vector is abottleneck in improving the performance of this basic encoder–decoder architecture, and propose to extend this by allowing a model to automatically (soft-)searchfor parts of a source sentence that are relevant to predicting a target word, withouthaving to form these parts as a hard segment explicitly.  With this new approach,we achieve a translation performance comparable to the existing state-of-the-artphrase-based system on the task of English-to-French translation.  Furthermore,qualitative analysis reveals that the (soft-)alignments found by the model agreewell with our intuition.},
journal = {},
volume = {},
year = {2014},
title = {Neural Machine Translation by Jointly Learning to Align and Translate},
language = {eng},
author = {Bahdanau, Dzmitry AND Cho, Kyunghyun AND Bengio, Yoshua},
keywords = {computation AND language}
}


@article{rnn-th,
url = {https://arxiv.org/pdf/1808.03314.pdf},
issn = {},
abstract = {Because of their effectiveness in broad practical applications, LSTM networks have received a wealth of coverage in scientific journals, technical blogs, and implementation guides. However, in most articles, the inference formulas for the LSTM network and its parent, RNN, are stated axiomatically, while the training formulas are omitted altogether. In addition, the technique of "unrolling" an RNN is routinely presented without justification throughout the literature. The goal of this paper is to explain the essential RNN and LSTM fundamentals in a single document. Drawing from concepts in signal processing, we formally derive the canonical RNN formulation from differential equations. We then propose and prove a precise statement, which yields the RNN unrolling technique. We also review the difficulties with training the standard RNN and address them by transforming the RNN into the "Vanilla LSTM" network through a series of logical arguments. We provide all equations pertaining to the LSTM system together with detailed descriptions of its constituent entities. Albeit unconventional, our choice of notation and the method for presenting the LSTM system emphasizes ease of understanding. As part of the analysis, we identify new opportunities to enrich the LSTM system and incorporate these extensions into the Vanilla LSTM network, producing the most general LSTM variant to date. The target reader has already been exposed to RNNs and LSTM networks through numerous available resources and is open to an alternative pedagogical approach. A Machine Learning practitioner seeking guidance for implementing our new augmented LSTM model in software for experimentation and research will find the insights and derivations in this tutorial valuable as well. },
journal = {},
volume = {},
year = {2018},
title = {Fundamentals of Recurrent Neural Network (RNN) and Long Short-Term Memory (LSTM) Network},
language = {eng},
author = {Sherstinsky, Alex},
keywords = {machine learning}
}


@article{seq2seq,
url = {https://arxiv.org/pdf/1409.3215.pdf},
issn = {},
abstract = {Deep Neural Networks (DNNs) are powerful models that have achieved excellent performance on difficult learning tasks. Although DNNs work well whenever large labeled training sets are available, they cannot be used to map sequences to sequences. In this paper, we present a general end-to-end approach to sequence learning that makes minimal assumptions on the sequence structure. Our method uses a multilayered Long Short-Term Memory (LSTM) to map the input sequence to a vector of a fixed dimensionality, and then another deep LSTM to decode the target sequence from the vector. Our main result is that on an English to French translation task from the WMT'14 dataset, the translations produced by the LSTM achieve a BLEU score of 34.8 on the entire test set, where the LSTM's BLEU score was penalized on out-of-vocabulary words. Additionally, the LSTM did not have difficulty on long sentences. For comparison, a phrase-based SMT system achieves a BLEU score of 33.3 on the same dataset. When we used the LSTM to rerank the 1000 hypotheses produced by the aforementioned SMT system, its BLEU score increases to 36.5, which is close to the previous best result on this task. The LSTM also learned sensible phrase and sentence representations that are sensitive to word order and are relatively invariant to the active and the passive voice. Finally, we found that reversing the order of the words in all source sentences (but not target sentences) improved the LSTM's performance markedly, because doing so introduced many short term dependencies between the source and the target sentence which made the optimization problem easier. },
journal = {},
volume = {},
year = {2014},
title = {Sequence to Sequence Learning with Neural Networks},
language = {eng},
author = {Sutskever, Ilya AND Vinyals, Oriol AND V. Le, Quoc},
keywords = {computation AND language}
}


@article{beam_search,
url = {https://apps.dtic.mil/dtic/tr/fulltext/u2/a049288.pdf},
issn = {},
abstract = {A five-year interdisciplinary effort by speech scientists and computer scientists has demonstrated the feasibility of programming a computer system to “understand” connected speech, i.e., translate it into operational form and respond accordingly. An operational system (HARPY) accepts speech from five speakers, interprets a 1000-word vocabulary, and attains 91 percent sentence accuracy. This Steering Committee summary report describes the project history, problem, goals, and results.},
journal = {},
volume = {},
year = {1977},
title = {Speech Understanding Systems: A Summary of Results of the Five-Year Research Effort. Department of Computer Science},
language = {english},
author = {Reddy, D. Raj},
keywords = {}
}


@article{learning_rate,
url = {https://arxiv.org/pdf/1506.01186.pdf},
issn = {},
abstract = {It is known that the learning rate is the most important hyper-parameter to tune for training deep neural networks. This paper describes a new method for setting the learning rate, named cyclical learning rates, which practically eliminates the need to experimentally find the best values and schedule for the global learning rates. Instead of monotonically decreasing the learning rate, this method lets the learning rate cyclically vary between reasonable boundary values. Training with cyclical learning rates instead of fixed values achieves improved classification accuracy without a need to tune and often in fewer iterations. This paper also describes a simple way to estimate "reasonable bounds" -- linearly increasing the learning rate of the network for a few epochs. In addition, cyclical learning rates are demonstrated on the CIFAR-10 and CIFAR-100 datasets with ResNets, Stochastic Depth networks, and DenseNets, and the ImageNet dataset with the AlexNet and GoogLeNet architectures. These are practical tools for everyone who trains neural networks. },
journal = {},
volume = {},
year = {2015},
title = {Cyclical Learning Rates for Training Neural Networks},
language = {eng},
author = {N. Smith, Leslie},
keywords = {}
}


@article{aev,
url = {https://towardsdatascience.com/intuitively-understanding-variational-autoencoders-1bfe67eb5daf},
issn = {},
abstract = {},
journal = {},
volume = {},
year = {2018},
title = {Intuitively Understanding Variational Autoencoders},
language = {eng},
author = {Shakfat, Irhum},
keywords = {}
}

@MISC{TransformingAutoEncoders,
	url = {https://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.220.5099&rep=rep1&type=pdf},
    author = {G. E. Hinton and A. Krizhevsky and S. D. Wang},
    title = {Transforming Auto-encoders},
    year = {}
}